> ## Documentation Index
> Fetch the complete documentation index at: https://docs.neynar.com/llms.txt
> Use this file to discover all available pages before exploring further.

# followUser

Follow user

> **Group:** User APIs

Use this when you need: **Follow user**.

## Usage

```ts theme={"system"}
import { NeynarAPIClient, Configuration } from "@neynar/nodejs-sdk";

const client = new NeynarAPIClient(
  new Configuration({ apiKey: "YOUR_NEYNAR_API_KEY" })
);

const res = await client.followUser({
  followReqBody: { /* request body */ }, // required
});
console.log(res);
```

## Parameters

| Parameter       | Type            | Required | Description |
| --------------- | --------------- | :------: | ----------- |
| `followReqBody` | `FollowReqBody` |     ✅    | -           |

## Response

Returns a `RequestArgs` object.

## Error Handling

```ts theme={"system"}
try {
  const res = await client.followUser({
    followReqBody: { /* request body */ }
  });
  // use res
} catch (err) {
  // Axios/HTTP errors, invalid params, auth issues, etc.
  console.error(err);
}
```

## Related API Reference

📖 **API Reference:** [followUser](/reference/follow-user)

For detailed information about the HTTP endpoint, request/response schemas, and additional examples, see the complete API documentation.

## Tips

* Provide a **viewerFid** when supported to respect mutes/blocks and include `viewer_context`.
* Keep requests scoped (e.g., use `limit`) to improve latency.
* Cache results where sensible.


## Related topics

- [SDK v1 to v2 migration guide](/reference/neynar-nodejs-sdk-v1-to-v2-migration-guide.md)
- [Follow user](/reference/follow-user.md)
- [Follow NFT Owners on Farcaster Using Neynar](/docs/following-all-farcaster-users-owning-cryptopunk.md)
- [Suggest Follows](/reference/fetch-follow-suggestions.md)
- [Follow a channel](/reference/follow-channel.md)
